# -*-makefile-*-
# $Id: template-make 8785 2008-08-26 07:48:06Z wsa $
#
# Copyright (C) 2008 by Robert Schwebel <r.schwebel@pengutronix.de>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
ifeq ($(PTXCONF_PLATFORM), phyCORE-i.MX27)
PACKAGES-$(PTXCONF_PHYCORE_SOUNDS) += phycore-sounds
endif

#
# Paths and names
#
PHYCORE_SOUNDS_VERSION	:= 1.0.0
PHYCORE_SOUNDS		:= phycore-sounds-$(PHYCORE_SOUNDS_VERSION)
PHYCORE_SOUNDS_SUFFIX	:=
PHYCORE_SOUNDS_URL	:=
PHYCORE_SOUNDS_SOURCE	:=
PHYCORE_SOUNDS_DIR	:= $(BUILDDIR)/$(PHYCORE_SOUNDS)

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

$(STATEDIR)/phycore-sounds.extract:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

PHYCORE_SOUNDS_PATH	:= PATH=$(CROSS_PATH)
PHYCORE_SOUNDS_ENV 	:= $(CROSS_ENV)

#
# autoconf
#
PHYCORE_SOUNDS_AUTOCONF := $(CROSS_AUTOCONF_USR)

$(STATEDIR)/phycore-sounds.prepare:
	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

$(STATEDIR)/phycore-sounds.compile:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/phycore-sounds.install:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/phycore-sounds.targetinstall:
	@$(call targetinfo)

	@$(call install_init, phycore-sounds)
	@$(call install_fixup, phycore-sounds,PACKAGE,phycore-sounds)
	@$(call install_fixup, phycore-sounds,PRIORITY,optional)
	@$(call install_fixup, phycore-sounds,VERSION,$(PHYCORE_SOUNDS_VERSION))
	@$(call install_fixup, phycore-sounds,SECTION,base)
	@$(call install_fixup, phycore-sounds,AUTHOR,"Robert Schwebel <r.schwebel@pengutronix.de>")
	@$(call install_fixup, phycore-sounds,DEPENDS,)
	@$(call install_fixup, phycore-sounds,DESCRIPTION,missing)

	@$(call install_copy, phycore-sounds, 0, 0, 0644, \
		$(PTXDIST_WORKSPACE)/projectroot/usr/share/sounds/KDE_Startup.wav, \
		/usr/share/sounds/KDE_Startup.wav)

	@$(call install_copy, phycore-sounds, 0, 0, 0644, \
		$(PTXDIST_WORKSPACE)/projectroot/etc/asound.state, \
		/etc/asound.state)

	@$(call install_copy, phycore-sounds, 0, 0, 0755, \
		$(PTXDIST_WORKSPACE)/projectroot/etc/init.d/greet, \
		/etc/init.d/greet)

	@$(call install_link, phycore-sounds, \
                ../init.d/greet, \
                /etc/rc.d/S22greet)

	@$(call install_finish, phycore-sounds)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

phycore-sounds_clean:
	rm -rf $(STATEDIR)/phycore-sounds.*
	rm -rf $(PKGDIR)/phycore-sounds_*
	rm -rf $(PHYCORE_SOUNDS_DIR)

# vim: syntax=make
