# -*-makefile-*-
# $Id: template-make 9053 2008-11-03 10:58:48Z wsa $
#
# Copyright (C) 2009 by Luotao Fu <l.fu@pengutronix.de
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_STARTUP) += startup

#
# Paths and names
#
STARTUP		:= startup
STARTUP_VERSION	:= 0.1
STARTUP_SUFFIX		:= 
STARTUP_URL		:=
STARTUP_SOURCE		:= 
STARTUP_DIR		:= $(BUILDDIR)/$(STARTUP)

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

$(STARTUP_SOURCE):
	@$(call targetinfo)

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

$(STATEDIR)/startup.extract:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

STARTUP_PATH	:= PATH=$(CROSS_PATH)
STARTUP_ENV 	:= $(CROSS_ENV)

#
# autoconf
#
STARTUP_AUTOCONF := $(CROSS_AUTOCONF_USR)

$(STATEDIR)/startup.prepare:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

$(STATEDIR)/startup.compile:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/startup.install:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/startup.targetinstall:
	@$(call targetinfo)

	@$(call install_init, startup)
	@$(call install_fixup, startup,PACKAGE,startup)
	@$(call install_fixup, startup,PRIORITY,optional)
	@$(call install_fixup, startup,VERSION,$(STARTUP_VERSION))
	@$(call install_fixup, startup,SECTION,base)
	@$(call install_fixup, startup,AUTHOR,"Luotao Fu <l.fu@pengutronix.de>")
	@$(call install_fixup, startup,DEPENDS,)
	@$(call install_fixup, startup,DESCRIPTION,missing)

	@$(call install_alternative, startup, 0, 0, 0755, /etc/init.d/startup, n)
	@$(call install_copy, startup, 0, 0, 0755, \
		$(PTXDIST_WORKSPACE)/projectroot/home/startup, \
		/home/startup, n)

	@$(call install_link, startup, ../init.d/startup, /etc/rc.d/S99startup)

	@$(call install_finish, startup)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

startup_clean:
	rm -rf $(STATEDIR)/startup.*
	rm -rf $(PKGDIR)/startup_*
	rm -rf $(STARTUP_DIR)

# vim: syntax=make
